---
references:
- id: AbsilOptimization2008
  accessed:
    - year: 2018
      month: 8
      day: 29
  author:
    - family: Absil
      given: P.-A
    - family: Mahony
      given: R
    - family: Sepulchre
      given: R
  citation-key: AbsilOptimization2008
  event-place: Princeton, N.J.; Woodstock
  ISBN: 978-1-4008-3024-4
  issued:
    - year: 2008
  language: English
  publisher: Princeton University Press
  publisher-place: Princeton, N.J.; Woodstock
  title: Optimization algorithms on matrix manifolds
  type: book
  URL: https://press.princeton.edu/absil

- id: AmariDifferentialGeometrical1990
  archive: Calibre
  author:
    - family: Amari
      given: Shun'Ichi
  citation-key: AmariDifferentialGeometrical1990
  ISBN: 978-0-387-96056-2
  issued:
    - year: 1990
      month: 2
      day: 1
  language: eng
  publisher: Springer
  title: Differential-Geometrical Methods in Statistics
  type: book

- id: AmariInformation2001
  author:
    - family: Amari
      given: Shunʼichi
  citation-key: AmariInformation2001
  container-title: IEEE Transactions on Information Theory
  DOI: 10.1109/18.930911
  issued:
    - year: 2001
  page: 1701-1711
  title: Information geometry on hierarchy of probability distributions
  type: article-journal
  volume: '47'

- id: BachmanGeometric2003
  accessed:
    - year: 2016
      month: 10
      day: 13
  author:
    - family: Bachman
      given: David
  citation-key: BachmanGeometric2003
  ISBN: 978-0-8176-8303-0
  issued:
    - year: 2003
      month: 6
      day: 11
  title: A Geometric Approach to Differential Forms
  type: book
  URL: http://arxiv.org/abs/math/0306194

- id: BowenIntroduction1976
  author:
    - family: Bowen
      given: Ray M.
    - family: Wang
      given: C. C.
  citation-key: BowenIntroduction1976
  ISBN: 978-0-306-37508-8
  issued:
    - year: 1976
  language: en_US
  publisher: Plenum Press
  title: 'Introduction to vectors and tensors, Vol 1: linear and multilinear algebra'
  type: book
  URL: http://oaktrust.library.tamu.edu/handle/1969.1/2502

- id: BowenIntroduction2006
  author:
    - family: Bowen
      given: Ray M.
    - family: Wang
      given: C.-C.
  citation-key: BowenIntroduction2006
  ISBN: 978-0-306-37509-5
  issued:
    - year: 2006
      month: 6
      day: 20
  language: en_US
  title: 'Introduction to vectors and tensors, Vol 2: vector and tensor analysis'
  type: book
  URL: http://oaktrust.library.tamu.edu/handle/1969.1/3609

- id: BrandstetterClifford2022
  accessed:
    - year: 2023
      month: 7
      day: 31
  author:
    - family: Brandstetter
      given: Johannes
    - family: Berg
      given: Rianne
      dropping-particle: van den
    - family: Welling
      given: Max
    - family: Gupta
      given: Jayesh K.
  citation-key: BrandstetterClifford2022
  event-title: The Eleventh International Conference on Learning Representations
  issued:
    - year: 2022
      month: 9
      day: 29
  language: en
  title: Clifford Neural Layers for PDE Modeling
  type: paper-conference
  URL: https://openreview.net/forum?id=okwxL_c4x84

- id: BrodyGeometrical1995
  author:
    - family: Brody
      given: Dorje
    - family: Rivier
      given: Nicolas
  citation-key: BrodyGeometrical1995
  container-title: Phys. Rev. E
  DOI: 10.1103/PhysRevE.51.1006
  issue: '2'
  issued:
    - year: 1995
  page: 1006-1011
  title: Geometrical aspects of statistical mechanics
  type: article-journal
  volume: '51'

- id: ChisolmGeometric2012
  accessed:
    - year: 2016
      month: 5
      day: 13
  author:
    - family: Chisolm
      given: Eric
  citation-key: ChisolmGeometric2012
  container-title: arXiv:1205.5935 [math-ph]
  issued:
    - year: 2012
      month: 5
      day: 27
  title: Geometric Algebra
  type: article-journal
  URL: http://arxiv.org/abs/1205.5935

- id: DoCarmoRiemannian1992
  archive: Calibre
  author:
    - family: Do Carmo
      given: Manfredo P
  citation-key: DoCarmoRiemannian1992
  ISBN: 978-0-8176-3490-2
  issued:
    - year: 1992
      month: 3
      day: 15
  language: eng
  publisher: Birkhauser
  title: Riemannian Geometry
  type: book

- id: DonnellySymplectic2005
  accessed:
    - year: 2020
      month: 9
      day: 13
  author:
    - family: Donnelly
      given: Denis
    - family: Rogers
      given: Edwin
  citation-key: DonnellySymplectic2005
  container-title: American Journal of Physics
  container-title-short: American Journal of Physics
  DOI: 10.1119/1.2034523
  ISSN: 0002-9505
  issue: '10'
  issued:
    - year: 2005
      month: 9
      day: 15
  page: 938-945
  publisher: American Association of Physics Teachers
  title: 'Symplectic integrators: An introduction'
  type: article-journal
  volume: '73'

- id: DoranGeometric2003
  author:
    - family: Doran
      given: Chris
    - family: Lasenby
      given: A. N.
  call-number: QC20.7.C55 D67 2003
  citation-key: DoranGeometric2003
  event-place: Cambridge ; New York
  ISBN: 978-0-521-48022-2
  issued:
    - year: 2003
  number-of-pages: '578'
  publisher: Cambridge University Press
  publisher-place: Cambridge ; New York
  title: Geometric algebra for physicists
  type: book

- id: DorstGeometric2010
  author:
    - family: Dorst
      given: Leo
    - family: Fontijne
      given: Daniel
    - family: Mann
      given: Stephen
  citation-key: DorstGeometric2010
  ISBN: 978-0-08-055310-8
  issued:
    - year: 2010
      month: 7
      day: 26
  language: en
  number-of-pages: '664'
  publisher: Morgan Kaufmann
  title: >-
    Geometric Algebra for Computer Science: An Object-Oriented Approach to
    Geometry
  type: book

- id: DullemondIntroduction2021
  author:
    - family: Dullemond
      given: Kees
    - family: Peeters
      given: Kasper
  citation-key: DullemondIntroduction2021
  issued:
    - year: 2021
  language: en
  title: Introduction to Tensor Calculus
  type: article-journal
  URL: https://maths.dur.ac.uk/users/kasper.peeters/pdf/tensor_en.pdf

- id: EdwardsAdvanced1994
  archive: Calibre
  author:
    - family: Edwards
      given: Harold M.
  citation-key: EdwardsAdvanced1994
  ISBN: 978-0-8176-8411-2
  issued:
    - year: 1994
      month: 1
      day: 5
  language: eng
  publisher: Birkhauser
  title: 'Advanced Calculus: A Differential Forms Approach'
  type: book

- id: FeragenOpen2016
  accessed:
    - year: 2023
      month: 3
      day: 11
  author:
    - family: Feragen
      given: Aasa
    - family: Hauberg
      given: Søren
  citation-key: FeragenOpen2016
  container-title: Conference on Learning Theory
  event-title: Conference on Learning Theory
  ISSN: 1938-7228
  issued:
    - year: 2016
      month: 6
      day: 6
  language: en
  page: 1647-1650
  publisher: PMLR
  title: >-
    Open Problem: Kernel methods on manifolds and metric spaces. What is the
    probability of a positive definite geodesic exponential kernel?
  type: paper-conference
  URL: https://proceedings.mlr.press/v49/feragen16.html

- id: FlandersDifferential1989
  author:
    - family: Flanders
      given: Harley
  citation-key: FlandersDifferential1989
  ISBN: 0-486-66169-5
  issued:
    - year: 1989
  publisher: Dover Publications
  title: Differential Forms with Applications to the Physical Sciences
  type: book

- id: FrankelGeometry2011
  author:
    - family: Frankel
      given: Theodore
  citation-key: FrankelGeometry2011
  edition: 3 edition
  event-place: Cambridge ; New York
  ISBN: 978-1-107-60260-1
  issued:
    - year: 2011
      month: 12
      day: 26
  language: English
  number-of-pages: '750'
  publisher: Cambridge University Press
  publisher-place: Cambridge ; New York
  title: 'The Geometry of Physics: An Introduction'
  type: book

- id: HestenesClifford1984
  accessed:
    - year: 2016
      month: 5
      day: 11
  author:
    - family: Hestenes
      given: David
    - family: Sobczyk
      given: Garret
  citation-key: HestenesClifford1984
  event-place: Dordrecht
  ISBN: 978-94-009-6292-7
  issued:
    - year: 1984
  language: English
  publisher: Springer Netherlands
  publisher-place: Dordrecht
  title: >-
    Clifford Algebra to Geometric Calculus a Unified Language for Mathematics
    and Physics
  type: book

- id: HestenesDesign1991
  accessed:
    - year: 2016
      month: 10
      day: 12
  author:
    - family: Hestenes
      given: David
  citation-key: HestenesDesign1991
  container-title: Acta Applicandae Mathematica
  container-title-short: Acta Appl Math
  DOI: 10.1007/BF00046920
  ISSN: 0167-8019, 1572-9036
  issue: '1'
  issued:
    - year: 1991
  language: en
  page: 65-93
  title: The design of linear algebra and geometry
  type: article-journal
  URL: http://geocalc.clas.asu.edu/pdf-preAdobe8/DLAandG.pdf
  volume: '23'

- id: HestenesOld2001
  accessed:
    - year: 2016
      month: 10
      day: 12
  author:
    - family: Hestenes
      given: Prof David
  citation-key: HestenesOld2001
  container-title: Geometric Algebra with Applications in Science and Engineering
  DOI: 10.1007/978-1-4612-0159-5_1
  editor:
    - family: Corrochano
      given: Dr Eduardo Bayro
    - family: Sobczyk
      given: Prof Garret
  ISBN: 978-1-4612-6639-6 978-1-4612-0159-5
  issued:
    - year: 2001
  language: en
  page: 3-17
  publisher: Birkhäuser Boston
  title: >-
    Old Wine in New Bottles: A New Algebraic Framework for Computational
    Geometry
  type: chapter
  URL: http://geocalc.clas.asu.edu/pdf/OldWine.pdf

- id: HestenesSpacetime2003
  accessed:
    - year: 2016
      month: 10
      day: 12
  author:
    - family: Hestenes
      given: David
  citation-key: HestenesSpacetime2003
  container-title: American Journal of Physics
  DOI: 10.1119/1.1571836
  ISSN: 0002-9505, 1943-2909
  issue: '7'
  issued:
    - year: 2003
      month: 7
      day: 1
  page: 691-714
  title: Spacetime physics with geometric algebra
  type: article-journal
  URL: >-
    https://www.researchgate.net/profile/David_Hestenes/publication/253256625_Spacetime_Physics_with_Geometric_Algebra1/links/551ec6f20cf2a2d9e140296d.pdf
  volume: '71'

- id: HestenesUniversal1988
  accessed:
    - year: 2016
      month: 10
      day: 12
  author:
    - family: Hestenes
      given: David
  citation-key: HestenesUniversal1988
  issued:
    - year: 1988
  title: Universal geometric algebra
  type: article-journal
  URL: >-
    https://www.researchgate.net/profile/David_Hestenes/publication/265424668_UNIVERSAL_GEOMETRIC_ALGEBRA/links/551ec6f00cf29dcabb0836e0.pdf

- id: IshamModern1989
  archive: Calibre
  author:
    - family: Isham
      given: Chris J.
  citation-key: IshamModern1989
  ISBN: 978-81-7764-316-9
  issued:
    - year: 1989
      month: 1
      day: 1
  language: eng
  publisher: Allied Publishers
  title: Modern Differential Geometry for Physicists
  type: book

- id: LasenbyUnified2000
  accessed:
    - year: 2016
      month: 5
      day: 11
  author:
    - family: Lasenby
      given: Joan
    - family: Lasenby
      given: Anthony N.
    - family: Doran
      given: Chris J. L.
  citation-key: LasenbyUnified2000
  container-title: >-
    Philosophical Transactions of the Royal Society of London A: Mathematical,
    Physical and Engineering Sciences
  DOI: 10.1098/rsta.2000.0517
  ISSN: 1364-503X, 1471-2962
  issue: '1765'
  issued:
    - year: 2000
      month: 1
      day: 15
  language: en
  page: 21-39
  title: >-
    A unified mathematical language for physics and engineering in the 21st
    century
  type: article-journal
  URL: http://geometry.mrao.cam.ac.uk/wp-content/uploads/2015/02/00RSocMillen.pdf
  volume: '358'

- id: LauritzenStatistical1987
  author:
    - family: Lauritzen
      given: S L
  citation-key: LauritzenStatistical1987
  container-title: Differential geometry in statistical inference
  issued:
    - year: 1987
  page: '164'
  publisher: JSTOR
  title: Statistical manifolds
  type: chapter

- id: LeeDifferential1972
  archive: Calibre
  author:
    - family: Lee
      given: Jeffrey Marc
  citation-key: LeeDifferential1972
  issued:
    - year: 1972
  language: eng
  title: Differential and physical geometry
  type: book

- id: LeibonStatistical2010
  author:
    - family: Leibon
      given: Gregory
    - family: Pauls
      given: Scott
    - family: Rockmore
      given: Dan
    - family: Savell
      given: Robert
  citation-key: LeibonStatistical2010
  issued:
    - year: 2010
  title: Statistical Learning for Complex Systems an Example-driven Introduction
  type: article-journal

- id: MacdonaldSurvey2016
  author:
    - family: Macdonald
      given: Alan
  citation-key: MacdonaldSurvey2016
  container-title: Advances in Applied Clifford Algebras
  container-title-short: Adv. Appl. Clifford Algebras
  DOI: 10.1007/s00006-016-0665-y
  ISSN: 0188-7009, 1661-4909
  issued:
    - year: 2016
      month: 4
      day: 25
  language: en
  page: 1-39
  title: A Survey of Geometric Algebra and Geometric Calculus
  type: article-journal
  URL: http://faculty.luther.edu/~macdonal/GAGC/GAGC.html

- id: MooreBraids1993
  author:
    - family: Moore
      given: Cristopher
  citation-key: MooreBraids1993
  container-title: Physical review letters
  issue: '24'
  issued:
    - year: 1993
  page: 3675-3679
  title: Braids in classical dynamics
  type: article-journal
  volume: '70'

- id: NeedhamVisual2021
  author:
    - family: Needham
      given: Tristan
  citation-key: NeedhamVisual2021
  event-place: Princeton, NJ
  ISBN: 978-0-691-20370-6
  issued:
    - year: 2021
      month: 7
      day: 13
  language: English
  number-of-pages: '584'
  publisher: Princeton University Press
  publisher-place: Princeton, NJ
  title: 'Visual Differential Geometry and Forms: A Mathematical Drama in Five Acts'
  type: book

- id: NielsenElementary2018
  accessed:
    - year: 2019
      month: 12
      day: 27
  author:
    - family: Nielsen
      given: Frank
  citation-key: NielsenElementary2018
  container-title: arXiv:1808.08271 [cs, math, stat]
  issued:
    - year: 2018
      month: 8
      day: 16
  title: An elementary introduction to information geometry
  type: article-journal
  URL: http://arxiv.org/abs/1808.08271

- id: PorteousClifford1995
  author:
    - family: Porteous
      given: Ian R.
  call-number: QA199 .P67 1995
  citation-key: PorteousClifford1995
  collection-number: '50'
  collection-title: Cambridge studies in advanced mathematics
  event-place: Cambridge ; New York
  ISBN: 978-0-521-55177-9
  issued:
    - year: 1995
  number-of-pages: '295'
  publisher: Cambridge University Press
  publisher-place: Cambridge ; New York
  title: Clifford algebras and the classical groups
  type: book

- id: RuheGeometric2023
  author:
    - family: Ruhe
      given: David
    - family: Gupta
      given: Jayesh K
    - family: Keninck
      given: Steven
      non-dropping-particle: de
    - family: Welling
      given: Max
    - family: Brandstetter
      given: Johannes
  citation-key: RuheGeometric2023
  container-title: arXiv preprint arXiv:2302.06594
  issued:
    - year: 2023
  title: Geometric clifford algebra networks
  type: paper-conference
  URL: http://arxiv.org/abs/2302.06594

- id: SpivakCalculus1998
  author:
    - family: Spivak
      given: Michael
  citation-key: SpivakCalculus1998
  collection-title: Mathematics monograph series
  edition: 27. printing
  event-place: Cambridge, Mass
  ISBN: 978-0-8053-9021-6
  issued:
    - year: 1998
  language: eng
  number-of-pages: '146'
  publisher: Perseus Books
  publisher-place: Cambridge, Mass
  title: >-
    Calculus on manifolds: a modern approach to classical theorems of advanced
    calculus
  type: book
  URL: http://www.strangebeautiful.com/other-texts/spivak-calc-manifolds.pdf

- id: TarantolaElements2006
  author:
    - family: Tarantola
      given: Albert
  call-number: QC20 .T27 2006
  citation-key: TarantolaElements2006
  event-place: Berlin ; New York
  ISBN: 978-3-540-25302-0
  issued:
    - year: 2006
  number-of-pages: '263'
  publisher: Springer
  publisher-place: Berlin ; New York
  title: 'Elements for physics: quantities, qualities, and intrinsic theories'
  type: book

- id: WarnickDifferential1996
  author:
    - family: Warnick
      given: K.F.
    - family: Arnold
      given: D.V.
    - family: Selfridge
      given: R.H.
  citation-key: WarnickDifferential1996
  container-title: Antennas and Propagation Society International Symposium, 1996. AP-S. Digest
  DOI: 10.1109/APS.1996.549876
  event-title: Antennas and Propagation Society International Symposium, 1996. AP-S. Digest
  issued:
    - year: 1996
      month: 7
  page: 1474-1477 vol.2
  title: Differential forms in electromagnetic field theory
  type: paper-conference
  URL: https://em.groups.et.byu.net/pdfs/publications/aps.pdf
  volume: '2'

- id: WarnickElectromagnetic1995
  accessed:
    - year: 2014
      month: 11
      day: 27
  author:
    - family: Warnick
      given: Karl F.
    - family: Selfridge
      given: Richard H.
    - family: Arnold
      given: David V.
  citation-key: WarnickElectromagnetic1995
  container-title: IEE Proceedings-Microwaves, Antennas and Propagation
  DOI: 10.1049/ip-map:19952003
  ISSN: '13502417'
  issue: '4'
  issued:
    - year: 1995
  language: en
  page: 326–332
  title: Electromagnetic boundary conditions and differential forms
  type: article-journal
  URL: https://em.groups.et.byu.net/pdfs/publications/bound.pdf
  volume: '142'

- id: WarnickElectromagnetic1996
  accessed:
    - year: 2014
      month: 11
      day: 27
  author:
    - family: Warnick
      given: K.F.
    - family: Arnold
      given: D.V.
  citation-key: WarnickElectromagnetic1996
  container-title: Journal of Electromagnetic Waves and Applications
  DOI: 10.1163/156939396X00504
  ISSN: 0920-5071
  issue: '3'
  issued:
    - year: 1996
      month: 1
      day: 1
  page: 427-438
  title: Electromagnetic Green functions using differential forms
  type: article-journal
  URL: https://em.groups.et.byu.net/pdfs/publications/frmgreen.pdf
  volume: '10'

- id: WarnickElectromagnetics1996
  accessed:
    - year: 2014
      month: 11
      day: 27
  author:
    - family: Warnick
      given: Karl F.
    - family: Selfridge
      given: Richard H.
    - family: Arnold
      given: David V.
  citation-key: WarnickElectromagnetics1996
  container-title: 2013 IEEE Frontiers in Education Conference (FIE)
  issued:
    - year: 1996
  page: 1508–1512
  publisher: IEEE
  title: 'Electromagnetics made easy: differential forms as a teaching tool'
  type: paper-conference
  URL: https://em.groups.et.byu.net/pdfs/publications/fie.pdf
  volume: '3'

- id: WarnickTeaching1997
  author:
    - family: Warnick
      given: Karl F.
    - family: Selfridge
      given: Richard H.
    - family: Arnold
      given: D.V.
  citation-key: WarnickTeaching1997
  container-title: IEEE Transactions on Education
  DOI: 10.1109/13.554670
  ISSN: 0018-9359
  issue: '1'
  issued:
    - year: 1997
      month: 2
  page: 53-68
  title: Teaching electromagnetic field theory using differential forms
  type: article-journal
  URL: http://125.71.228.222/wlxt/ncourse/DCCYDCB/web/condition/9.pdf
  volume: '40'

- id: WeintraubDifferential2014
  archive: Calibre
  author:
    - family: Weintraub
      given: Steven H.
  citation-key: WeintraubDifferential2014
  ISBN: 978-0-12-394403-0
  issued:
    - year: 2014
      month: 3
      day: 10
  language: eng
  publisher: Academic Press
  title: 'Differential Forms, Second Edition: Theory and Practice'
  type: book
...
